API Documentation
Kuali Research REST APIs - IACUC
Research Iacuc ¶
Iacuc Alternate Searches ¶
Get Iacuc Alternate Searches by KeyGET/iacuc/api/v1/iacuc-alternate-searches/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Alternate SearchesGET/iacuc/api/v1/iacuc-alternate-searches/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Alternate Searches with FilteringGET/iacuc/api/v1/iacuc-alternate-searches/
Example URI
- iacucAltSearchId
string(optional)- protocolId
string(optional)- protocolNumber
string(optional)- sequenceNumber
string(optional)- searchDate
string(optional)Search Date. Maximum length is 10.
- yearsSearched
string(optional)Years Searched. Maximum length is 2000.
- keywords
string(optional)Keywords. Maximum length is 2000.
- comments
string(optional)Comments. Maximum length is 2000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Alternate SearchesGET/iacuc/api/v1/iacuc-alternate-searches/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"iacucAltSearchId",
"protocolId",
"protocolNumber",
"sequenceNumber",
"searchDate",
"yearsSearched",
"keywords",
"comments"
],
"primaryKey": "iacucAltSearchId"
}Get Blueprint API specification for Iacuc Alternate SearchesGET/iacuc/api/v1/iacuc-alternate-searches/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Alternate Searches.md"
transfer-encoding: chunkedUpdate Iacuc Alternate SearchesPUT/iacuc/api/v1/iacuc-alternate-searches/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Alternate SearchesPUT/iacuc/api/v1/iacuc-alternate-searches/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Alternate SearchesPATCH/iacuc/api/v1/iacuc-alternate-searches/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}204Body
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Alternate SearchesPOST/iacuc/api/v1/iacuc-alternate-searches/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}201Body
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Alternate SearchesPOST/iacuc/api/v1/iacuc-alternate-searches/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"iacucAltSearchId": "(val)",
"protocolId": "(val)",
"protocolNumber": "(val)",
"sequenceNumber": "(val)",
"searchDate": "(val)",
"yearsSearched": "(val)",
"keywords": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Alternate Searches by KeyDELETE/iacuc/api/v1/iacuc-alternate-searches/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Alternate SearchesDELETE/iacuc/api/v1/iacuc-alternate-searches/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Alternate Searches with MatchingDELETE/iacuc/api/v1/iacuc-alternate-searches/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- iacucAltSearchId
string(optional)- protocolId
string(optional)- protocolNumber
string(optional)- sequenceNumber
string(optional)- searchDate
string(optional)Search Date. Maximum length is 10.
- yearsSearched
string(optional)Years Searched. Maximum length is 2000.
- keywords
string(optional)Keywords. Maximum length is 2000.
- comments
string(optional)Comments. Maximum length is 2000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Batch Correspondence Details ¶
Get Iacuc Batch Correspondence Details by KeyGET/iacuc/api/v1/iacuc-batch-correspondence-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Batch Correspondence DetailsGET/iacuc/api/v1/iacuc-batch-correspondence-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
},
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Batch Correspondence Details with FilteringGET/iacuc/api/v1/iacuc-batch-correspondence-details/
Example URI
- batchCorrespondenceDetailId
string(optional)Batch Corresponcence Detail Id. Maximum length is 12.
- batchCorrespondenceTypeCode
string(optional)Batch Corresponcence Type Code. Maximum length is 3.
- protoCorrespTypeCode
string(optional)Protocol Correspondence Type Code. Maximum length is 3.
- daysToEvent
string(optional)The days before/after the event. Maximum length is 3.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
},
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Batch Correspondence DetailsGET/iacuc/api/v1/iacuc-batch-correspondence-details/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"batchCorrespondenceDetailId",
"batchCorrespondenceTypeCode",
"protoCorrespTypeCode",
"daysToEvent"
],
"primaryKey": "batchCorrespondenceDetailId"
}Get Blueprint API specification for Iacuc Batch Correspondence DetailsGET/iacuc/api/v1/iacuc-batch-correspondence-details/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Batch Correspondence Details.md"
transfer-encoding: chunkedUpdate Iacuc Batch Correspondence DetailsPUT/iacuc/api/v1/iacuc-batch-correspondence-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Batch Correspondence DetailsPUT/iacuc/api/v1/iacuc-batch-correspondence-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
},
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Batch Correspondence DetailsPATCH/iacuc/api/v1/iacuc-batch-correspondence-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}204Body
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Batch Correspondence DetailsPOST/iacuc/api/v1/iacuc-batch-correspondence-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}201Body
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Batch Correspondence DetailsPOST/iacuc/api/v1/iacuc-batch-correspondence-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
},
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
},
{
"batchCorrespondenceDetailId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"protoCorrespTypeCode": "(val)",
"daysToEvent": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Batch Correspondence Details by KeyDELETE/iacuc/api/v1/iacuc-batch-correspondence-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Batch Correspondence DetailsDELETE/iacuc/api/v1/iacuc-batch-correspondence-details/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Batch Correspondence Details with MatchingDELETE/iacuc/api/v1/iacuc-batch-correspondence-details/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- batchCorrespondenceDetailId
string(optional)Batch Corresponcence Detail Id. Maximum length is 12.
- batchCorrespondenceTypeCode
string(optional)Batch Corresponcence Type Code. Maximum length is 3.
- protoCorrespTypeCode
string(optional)Protocol Correspondence Type Code. Maximum length is 3.
- daysToEvent
string(optional)The days before/after the event. Maximum length is 3.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Batch Correspondences ¶
Get Iacuc Batch Correspondences by KeyGET/iacuc/api/v1/iacuc-batch-correspondences/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Batch CorrespondencesGET/iacuc/api/v1/iacuc-batch-correspondences/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
},
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Batch Correspondences with FilteringGET/iacuc/api/v1/iacuc-batch-correspondences/
Example URI
- batchCorrespondenceTypeCode
string(optional)Batch Correspondence Type Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
- daysToEventUiText
string(optional)Days to Event UI Text. Maximum length is 400.
- sendCorrespondence
string(optional)Send correspondence before/after event. Maximum length is 10.
- finalActionDay
string(optional)Final Action Day. Maximum length is 3.
- finalActionTypeCode
string(optional)Final Action Type Code. Maximum length is 3.
- finalActionCorrespType
string(optional)Final Action Corresp Type. Maximum length is 3.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
},
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Batch CorrespondencesGET/iacuc/api/v1/iacuc-batch-correspondences/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"batchCorrespondenceTypeCode",
"description",
"daysToEventUiText",
"sendCorrespondence",
"finalActionDay",
"finalActionTypeCode",
"finalActionCorrespType"
],
"primaryKey": "batchCorrespondenceTypeCode"
}Get Blueprint API specification for Iacuc Batch CorrespondencesGET/iacuc/api/v1/iacuc-batch-correspondences/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Batch Correspondences.md"
transfer-encoding: chunkedUpdate Iacuc Batch CorrespondencesPUT/iacuc/api/v1/iacuc-batch-correspondences/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Batch CorrespondencesPUT/iacuc/api/v1/iacuc-batch-correspondences/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
},
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Batch CorrespondencesPATCH/iacuc/api/v1/iacuc-batch-correspondences/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}204Body
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Batch CorrespondencesPOST/iacuc/api/v1/iacuc-batch-correspondences/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}201Body
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Batch CorrespondencesPOST/iacuc/api/v1/iacuc-batch-correspondences/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
},
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
},
{
"batchCorrespondenceTypeCode": "(val)",
"description": "(val)",
"daysToEventUiText": "(val)",
"sendCorrespondence": "(val)",
"finalActionDay": "(val)",
"finalActionTypeCode": "(val)",
"finalActionCorrespType": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Batch Correspondences by KeyDELETE/iacuc/api/v1/iacuc-batch-correspondences/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Batch CorrespondencesDELETE/iacuc/api/v1/iacuc-batch-correspondences/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Batch Correspondences with MatchingDELETE/iacuc/api/v1/iacuc-batch-correspondences/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- batchCorrespondenceTypeCode
string(optional)Batch Correspondence Type Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
- daysToEventUiText
string(optional)Days to Event UI Text. Maximum length is 400.
- sendCorrespondence
string(optional)Send correspondence before/after event. Maximum length is 10.
- finalActionDay
string(optional)Final Action Day. Maximum length is 3.
- finalActionTypeCode
string(optional)Final Action Type Code. Maximum length is 3.
- finalActionCorrespType
string(optional)Final Action Corresp Type. Maximum length is 3.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Committee Membership Expertise Entries ¶
Get Iacuc Committee Membership Expertise Entries by KeyGET/iacuc/api/v1/iacuc-committee-membership-expertise-entries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Committee Membership Expertise EntriesGET/iacuc/api/v1/iacuc-committee-membership-expertise-entries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Committee Membership Expertise Entries with FilteringGET/iacuc/api/v1/iacuc-committee-membership-expertise-entries/
Example URI
- committeeMembershipExpertiseId
string(optional)Committee Membership Expertise Id. Maximum length is 22.
- committeeMembershipIdFk
string(optional)Committee Membership Id Fk. Maximum length is 22.
- researchAreaCode
string(optional)Research Area Code. Maximum length is 8.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Committee Membership Expertise EntriesGET/iacuc/api/v1/iacuc-committee-membership-expertise-entries/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"committeeMembershipExpertiseId",
"committeeMembershipIdFk",
"researchAreaCode"
],
"primaryKey": "committeeMembershipExpertiseId"
}Get Blueprint API specification for Iacuc Committee Membership Expertise EntriesGET/iacuc/api/v1/iacuc-committee-membership-expertise-entries/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Committee Membership Expertise Entries.md"
transfer-encoding: chunkedUpdate Iacuc Committee Membership Expertise EntriesPUT/iacuc/api/v1/iacuc-committee-membership-expertise-entries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Committee Membership Expertise EntriesPUT/iacuc/api/v1/iacuc-committee-membership-expertise-entries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Committee Membership Expertise EntriesPATCH/iacuc/api/v1/iacuc-committee-membership-expertise-entries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}204Body
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Committee Membership Expertise EntriesPOST/iacuc/api/v1/iacuc-committee-membership-expertise-entries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}201Body
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Committee Membership Expertise EntriesPOST/iacuc/api/v1/iacuc-committee-membership-expertise-entries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Committee Membership Expertise Entries by KeyDELETE/iacuc/api/v1/iacuc-committee-membership-expertise-entries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Membership Expertise EntriesDELETE/iacuc/api/v1/iacuc-committee-membership-expertise-entries/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Membership Expertise Entries with MatchingDELETE/iacuc/api/v1/iacuc-committee-membership-expertise-entries/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- committeeMembershipExpertiseId
string(optional)Committee Membership Expertise Id. Maximum length is 22.
- committeeMembershipIdFk
string(optional)Committee Membership Id Fk. Maximum length is 22.
- researchAreaCode
string(optional)Research Area Code. Maximum length is 8.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Committee Memberships ¶
Get Iacuc Committee Memberships by KeyGET/iacuc/api/v1/iacuc-committee-memberships/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Committee MembershipsGET/iacuc/api/v1/iacuc-committee-memberships/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Committee Memberships with FilteringGET/iacuc/api/v1/iacuc-committee-memberships/
Example URI
- committeeMembershipId
string(optional)Committee Membership Id. Maximum length is 12.
- committeeIdFk
string(optional)Committee Id Fk. Maximum length is 12.
- personId
string(optional)Person Id. Maximum length is 40.
- rolodexId
string(optional)Rolodex Id. Maximum length is 12.
- personName
string(optional)Person Name. Maximum length is 90.
- membershipId
string(optional)Membership Id. Maximum length is 10.
- paidMember
string(optional)Paid Member. Maximum length is 1.
- termStartDate
string(optional)Term Start Date. Maximum length is 10.
- termEndDate
string(optional)Term End Date. Maximum length is 10.
- membershipTypeCode
string(optional)Membership Type Code. Maximum length is 3.
- comments
string(optional)Comments. Maximum length is 200.
- contactNotes
string(optional)Contact Notes. Maximum length is 200.
- trainingNotes
string(optional)Training Notes. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Committee MembershipsGET/iacuc/api/v1/iacuc-committee-memberships/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"committeeMembershipId",
"committeeIdFk",
"personId",
"rolodexId",
"personName",
"membershipId",
"paidMember",
"termStartDate",
"termEndDate",
"membershipTypeCode",
"comments",
"contactNotes",
"trainingNotes"
],
"primaryKey": "committeeMembershipId"
}Get Blueprint API specification for Iacuc Committee MembershipsGET/iacuc/api/v1/iacuc-committee-memberships/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Committee Memberships.md"
transfer-encoding: chunkedUpdate Iacuc Committee MembershipsPUT/iacuc/api/v1/iacuc-committee-memberships/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Committee MembershipsPUT/iacuc/api/v1/iacuc-committee-memberships/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Committee MembershipsPATCH/iacuc/api/v1/iacuc-committee-memberships/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}204Body
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Committee MembershipsPOST/iacuc/api/v1/iacuc-committee-memberships/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}201Body
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Committee MembershipsPOST/iacuc/api/v1/iacuc-committee-memberships/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Committee Memberships by KeyDELETE/iacuc/api/v1/iacuc-committee-memberships/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee MembershipsDELETE/iacuc/api/v1/iacuc-committee-memberships/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Memberships with MatchingDELETE/iacuc/api/v1/iacuc-committee-memberships/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- committeeMembershipId
string(optional)Committee Membership Id. Maximum length is 12.
- committeeIdFk
string(optional)Committee Id Fk. Maximum length is 12.
- personId
string(optional)Person Id. Maximum length is 40.
- rolodexId
string(optional)Rolodex Id. Maximum length is 12.
- personName
string(optional)Person Name. Maximum length is 90.
- membershipId
string(optional)Membership Id. Maximum length is 10.
- paidMember
string(optional)Paid Member. Maximum length is 1.
- termStartDate
string(optional)Term Start Date. Maximum length is 10.
- termEndDate
string(optional)Term End Date. Maximum length is 10.
- membershipTypeCode
string(optional)Membership Type Code. Maximum length is 3.
- comments
string(optional)Comments. Maximum length is 200.
- contactNotes
string(optional)Contact Notes. Maximum length is 200.
- trainingNotes
string(optional)Training Notes. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Committee Research Areas ¶
Get Iacuc Committee Research Areas by KeyGET/iacuc/api/v1/iacuc-committee-research-areas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Committee Research AreasGET/iacuc/api/v1/iacuc-committee-research-areas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Committee Research Areas with FilteringGET/iacuc/api/v1/iacuc-committee-research-areas/
Example URI
- id
string(optional)Committee Research Area Id.
- committeeIdFk
string(optional)Committee Id Fk.
- researchAreaCode
string(optional)Research Area Code.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Committee Research AreasGET/iacuc/api/v1/iacuc-committee-research-areas/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"committeeIdFk",
"researchAreaCode"
],
"primaryKey": "id"
}Get Blueprint API specification for Iacuc Committee Research AreasGET/iacuc/api/v1/iacuc-committee-research-areas/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Committee Research Areas.md"
transfer-encoding: chunkedUpdate Iacuc Committee Research AreasPUT/iacuc/api/v1/iacuc-committee-research-areas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Committee Research AreasPUT/iacuc/api/v1/iacuc-committee-research-areas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Committee Research AreasPATCH/iacuc/api/v1/iacuc-committee-research-areas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Committee Research AreasPOST/iacuc/api/v1/iacuc-committee-research-areas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Committee Research AreasPOST/iacuc/api/v1/iacuc-committee-research-areas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Committee Research Areas by KeyDELETE/iacuc/api/v1/iacuc-committee-research-areas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Research AreasDELETE/iacuc/api/v1/iacuc-committee-research-areas/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Research Areas with MatchingDELETE/iacuc/api/v1/iacuc-committee-research-areas/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Committee Research Area Id.
- committeeIdFk
string(optional)Committee Id Fk.
- researchAreaCode
string(optional)Research Area Code.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Committee Schedule Action Items ¶
Get Iacuc Committee Schedule Action Items by KeyGET/iacuc/api/v1/iacuc-committee-schedule-action-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Committee Schedule Action ItemsGET/iacuc/api/v1/iacuc-committee-schedule-action-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Committee Schedule Action Items with FilteringGET/iacuc/api/v1/iacuc-committee-schedule-action-items/
Example URI
- commScheduleActItemsId
string(optional)- scheduleIdFk
string(optional)- actionItemNumber
string(optional)- scheduleActItemTypeCode
string(optional)- itemDescription
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Committee Schedule Action ItemsGET/iacuc/api/v1/iacuc-committee-schedule-action-items/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"commScheduleActItemsId",
"scheduleIdFk",
"actionItemNumber",
"scheduleActItemTypeCode",
"itemDescription"
],
"primaryKey": "commScheduleActItemsId"
}Get Blueprint API specification for Iacuc Committee Schedule Action ItemsGET/iacuc/api/v1/iacuc-committee-schedule-action-items/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Committee Schedule Action Items.md"
transfer-encoding: chunkedUpdate Iacuc Committee Schedule Action ItemsPUT/iacuc/api/v1/iacuc-committee-schedule-action-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Committee Schedule Action ItemsPUT/iacuc/api/v1/iacuc-committee-schedule-action-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Committee Schedule Action ItemsPATCH/iacuc/api/v1/iacuc-committee-schedule-action-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}204Body
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Committee Schedule Action ItemsPOST/iacuc/api/v1/iacuc-committee-schedule-action-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}201Body
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Committee Schedule Action ItemsPOST/iacuc/api/v1/iacuc-committee-schedule-action-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Committee Schedule Action Items by KeyDELETE/iacuc/api/v1/iacuc-committee-schedule-action-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Schedule Action ItemsDELETE/iacuc/api/v1/iacuc-committee-schedule-action-items/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Schedule Action Items with MatchingDELETE/iacuc/api/v1/iacuc-committee-schedule-action-items/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- commScheduleActItemsId
string(optional)- scheduleIdFk
string(optional)- actionItemNumber
string(optional)- scheduleActItemTypeCode
string(optional)- itemDescription
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Committee Schedule Attachments ¶
Get Iacuc Committee Schedule Attachments by KeyGET/iacuc/api/v1/iacuc-committee-schedule-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Committee Schedule AttachmentsGET/iacuc/api/v1/iacuc-committee-schedule-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Committee Schedule Attachments with FilteringGET/iacuc/api/v1/iacuc-committee-schedule-attachments/
Example URI
- scheduleId
string(optional)- attachmentId
string(optional)- attachmentsTypeCode
string(optional)- description
string(optional)- fileName
string(optional)- document
string(optional)- mimeType
string(optional)- newUpdateTimestamp
string(optional)- newUpdateUser
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Committee Schedule AttachmentsGET/iacuc/api/v1/iacuc-committee-schedule-attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"scheduleId",
"attachmentId",
"attachmentsTypeCode",
"description",
"fileName",
"document",
"mimeType",
"newUpdateTimestamp",
"newUpdateUser"
],
"primaryKey": "attachmentId"
}Get Blueprint API specification for Iacuc Committee Schedule AttachmentsGET/iacuc/api/v1/iacuc-committee-schedule-attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Committee Schedule Attachments.md"
transfer-encoding: chunkedUpdate Iacuc Committee Schedule AttachmentsPUT/iacuc/api/v1/iacuc-committee-schedule-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Committee Schedule AttachmentsPUT/iacuc/api/v1/iacuc-committee-schedule-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Committee Schedule AttachmentsPATCH/iacuc/api/v1/iacuc-committee-schedule-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}204Body
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Committee Schedule AttachmentsPOST/iacuc/api/v1/iacuc-committee-schedule-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}201Body
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Committee Schedule AttachmentsPOST/iacuc/api/v1/iacuc-committee-schedule-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Committee Schedule Attachments by KeyDELETE/iacuc/api/v1/iacuc-committee-schedule-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Schedule AttachmentsDELETE/iacuc/api/v1/iacuc-committee-schedule-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Schedule Attachments with MatchingDELETE/iacuc/api/v1/iacuc-committee-schedule-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- scheduleId
string(optional)- attachmentId
string(optional)- attachmentsTypeCode
string(optional)- description
string(optional)- fileName
string(optional)- document
string(optional)- mimeType
string(optional)- newUpdateTimestamp
string(optional)- newUpdateUser
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Committee Schedule Attendances ¶
Get Iacuc Committee Schedule Attendances by KeyGET/iacuc/api/v1/iacuc-committee-schedule-attendances/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Committee Schedule AttendancesGET/iacuc/api/v1/iacuc-committee-schedule-attendances/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Committee Schedule Attendances with FilteringGET/iacuc/api/v1/iacuc-committee-schedule-attendances/
Example URI
- commScheduleAttendanceId
string(optional)- scheduleIdFk
string(optional)- personId
string(optional)- personName
string(optional)- guestFlag
string(optional)- alternateFlag
string(optional)- alternateFor
string(optional)- nonEmployeeFlag
string(optional)- comments
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Committee Schedule AttendancesGET/iacuc/api/v1/iacuc-committee-schedule-attendances/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"commScheduleAttendanceId",
"scheduleIdFk",
"personId",
"personName",
"guestFlag",
"alternateFlag",
"alternateFor",
"nonEmployeeFlag",
"comments"
],
"primaryKey": "commScheduleAttendanceId"
}Get Blueprint API specification for Iacuc Committee Schedule AttendancesGET/iacuc/api/v1/iacuc-committee-schedule-attendances/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Committee Schedule Attendances.md"
transfer-encoding: chunkedUpdate Iacuc Committee Schedule AttendancesPUT/iacuc/api/v1/iacuc-committee-schedule-attendances/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Committee Schedule AttendancesPUT/iacuc/api/v1/iacuc-committee-schedule-attendances/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Committee Schedule AttendancesPATCH/iacuc/api/v1/iacuc-committee-schedule-attendances/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}204Body
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Committee Schedule AttendancesPOST/iacuc/api/v1/iacuc-committee-schedule-attendances/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}201Body
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Committee Schedule AttendancesPOST/iacuc/api/v1/iacuc-committee-schedule-attendances/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Committee Schedule Attendances by KeyDELETE/iacuc/api/v1/iacuc-committee-schedule-attendances/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Schedule AttendancesDELETE/iacuc/api/v1/iacuc-committee-schedule-attendances/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Schedule Attendances with MatchingDELETE/iacuc/api/v1/iacuc-committee-schedule-attendances/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- commScheduleAttendanceId
string(optional)- scheduleIdFk
string(optional)- personId
string(optional)- personName
string(optional)- guestFlag
string(optional)- alternateFlag
string(optional)- alternateFor
string(optional)- nonEmployeeFlag
string(optional)- comments
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Committee Schedule Minute Docs ¶
Get Iacuc Committee Schedule Minute Docs by KeyGET/iacuc/api/v1/iacuc-committee-schedule-minute-docs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Committee Schedule Minute DocsGET/iacuc/api/v1/iacuc-committee-schedule-minute-docs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Committee Schedule Minute Docs with FilteringGET/iacuc/api/v1/iacuc-committee-schedule-minute-docs/
Example URI
- commScheduleMinuteDocId
string(optional)- scheduleIdFk
string(optional)- minuteNumber
string(optional)- minuteName
string(optional)- pdfStore
string(optional)- createTimestamp
string(optional)- createUser
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Committee Schedule Minute DocsGET/iacuc/api/v1/iacuc-committee-schedule-minute-docs/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"commScheduleMinuteDocId",
"scheduleIdFk",
"minuteNumber",
"minuteName",
"pdfStore",
"createTimestamp",
"createUser"
],
"primaryKey": "commScheduleMinuteDocId"
}Get Blueprint API specification for Iacuc Committee Schedule Minute DocsGET/iacuc/api/v1/iacuc-committee-schedule-minute-docs/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Committee Schedule Minute Docs.md"
transfer-encoding: chunkedUpdate Iacuc Committee Schedule Minute DocsPUT/iacuc/api/v1/iacuc-committee-schedule-minute-docs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Committee Schedule Minute DocsPUT/iacuc/api/v1/iacuc-committee-schedule-minute-docs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Committee Schedule Minute DocsPATCH/iacuc/api/v1/iacuc-committee-schedule-minute-docs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}204Body
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Committee Schedule Minute DocsPOST/iacuc/api/v1/iacuc-committee-schedule-minute-docs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}201Body
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Committee Schedule Minute DocsPOST/iacuc/api/v1/iacuc-committee-schedule-minute-docs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Committee Schedule Minute Docs by KeyDELETE/iacuc/api/v1/iacuc-committee-schedule-minute-docs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Schedule Minute DocsDELETE/iacuc/api/v1/iacuc-committee-schedule-minute-docs/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Schedule Minute Docs with MatchingDELETE/iacuc/api/v1/iacuc-committee-schedule-minute-docs/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- commScheduleMinuteDocId
string(optional)- scheduleIdFk
string(optional)- minuteNumber
string(optional)- minuteName
string(optional)- pdfStore
string(optional)- createTimestamp
string(optional)- createUser
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Committee Schedule Minutes ¶
Get Iacuc Committee Schedule Minutes by KeyGET/iacuc/api/v1/iacuc-committee-schedule-minutes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Committee Schedule MinutesGET/iacuc/api/v1/iacuc-committee-schedule-minutes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Committee Schedule Minutes with FilteringGET/iacuc/api/v1/iacuc-committee-schedule-minutes/
Example URI
- commScheduleMinutesId
string(optional)Id. Maximum length is 12.
- scheduleIdFk
string(optional)Schedule Id Fk. Maximum length is 12.
- entryNumber
string(optional)Entry Number. Maximum length is 12.
- minuteEntryTypeCode
string(optional)Minute Entry Type Code. Maximum length is 3.
- protocolIdFk
string(optional)Protocol Id Fk. Maximum length is 12.
- commScheduleActItemsIdFk
string(optional)CommScheduleActItems Id Fk. Maximum length is 12.
- submissionIdFk
string(optional)Submission Id Fk. Maximum length is 12.
- privateCommentFlag
string(optional)Private Comment Flag. Maximum length is 1.
- protocolContingencyCode
string(optional)Protocol Contingency Code. Maximum length is 4.
- minuteEntry
string(optional)Minute Entry. Maximum length is 4000.
- finalFlag
string(optional)Final Flag. Maximum length is 1.
- createTimestamp
string(optional)Created Time. Maximum length is 21.
- createUser
string(optional)Create User. Maximum length is 80.
- protocolReviewerIdFk
string(optional)Reviewers. Maximum length is 1000.
- protocolOnlineReviewIdFk
string(optional)Protocol Online Review. Maximum length is 1000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Committee Schedule MinutesGET/iacuc/api/v1/iacuc-committee-schedule-minutes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"commScheduleMinutesId",
"scheduleIdFk",
"entryNumber",
"minuteEntryTypeCode",
"protocolIdFk",
"commScheduleActItemsIdFk",
"submissionIdFk",
"privateCommentFlag",
"protocolContingencyCode",
"minuteEntry",
"finalFlag",
"createTimestamp",
"createUser",
"protocolReviewerIdFk",
"protocolOnlineReviewIdFk"
],
"primaryKey": "commScheduleMinutesId"
}Get Blueprint API specification for Iacuc Committee Schedule MinutesGET/iacuc/api/v1/iacuc-committee-schedule-minutes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Committee Schedule Minutes.md"
transfer-encoding: chunkedUpdate Iacuc Committee Schedule MinutesPUT/iacuc/api/v1/iacuc-committee-schedule-minutes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Committee Schedule MinutesPUT/iacuc/api/v1/iacuc-committee-schedule-minutes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Committee Schedule MinutesPATCH/iacuc/api/v1/iacuc-committee-schedule-minutes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}204Body
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Committee Schedule MinutesPOST/iacuc/api/v1/iacuc-committee-schedule-minutes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}201Body
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Committee Schedule MinutesPOST/iacuc/api/v1/iacuc-committee-schedule-minutes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Committee Schedule Minutes by KeyDELETE/iacuc/api/v1/iacuc-committee-schedule-minutes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Schedule MinutesDELETE/iacuc/api/v1/iacuc-committee-schedule-minutes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee Schedule Minutes with MatchingDELETE/iacuc/api/v1/iacuc-committee-schedule-minutes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- commScheduleMinutesId
string(optional)Id. Maximum length is 12.
- scheduleIdFk
string(optional)Schedule Id Fk. Maximum length is 12.
- entryNumber
string(optional)Entry Number. Maximum length is 12.
- minuteEntryTypeCode
string(optional)Minute Entry Type Code. Maximum length is 3.
- protocolIdFk
string(optional)Protocol Id Fk. Maximum length is 12.
- commScheduleActItemsIdFk
string(optional)CommScheduleActItems Id Fk. Maximum length is 12.
- submissionIdFk
string(optional)Submission Id Fk. Maximum length is 12.
- privateCommentFlag
string(optional)Private Comment Flag. Maximum length is 1.
- protocolContingencyCode
string(optional)Protocol Contingency Code. Maximum length is 4.
- minuteEntry
string(optional)Minute Entry. Maximum length is 4000.
- finalFlag
string(optional)Final Flag. Maximum length is 1.
- createTimestamp
string(optional)Created Time. Maximum length is 21.
- createUser
string(optional)Create User. Maximum length is 80.
- protocolReviewerIdFk
string(optional)Reviewers. Maximum length is 1000.
- protocolOnlineReviewIdFk
string(optional)Protocol Online Review. Maximum length is 1000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Iacuc Committee Schedules ¶
Get Iacuc Committee Schedules by KeyGET/iacuc/api/v1/iacuc-committee-schedules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}Get All Iacuc Committee SchedulesGET/iacuc/api/v1/iacuc-committee-schedules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}
]Get All Iacuc Committee Schedules with FilteringGET/iacuc/api/v1/iacuc-committee-schedules/
Example URI
- id
string(optional)Id. Maximum length is 12.
- scheduleId
string(optional)Schedule Id. Maximum length is 10.
- committeeIdFk
string(optional)Committee Id. Maximum length is 12.
- scheduledDate
string(optional)Scheduled Date. Maximum length is 10.
- place
string(optional)Place. Maximum length is 200.
- time
string(optional)Time. Maximum length is 10.
- protocolSubDeadline
string(optional)Protocol Sub Deadline. Maximum length is 10.
- scheduleStatusCode
string(optional)Schedule Status Code. Maximum length is 3.
- meetingDate
string(optional)Meeting Date. Maximum length is 21.
- startTime
string(optional)Start Time. Maximum length is 10.
- endTime
string(optional)End Time. Maximum length is 10.
- agendaProdRevDate
string(optional)Agenda Prod Rev Date. Maximum length is 21.
- maxProtocols
string(optional)Max Protocols. Maximum length is 4.
- comments
string(optional)Comments. Maximum length is 2000.
- availableToReviewers
string(optional)Available to reviewers. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Iacuc Committee SchedulesGET/iacuc/api/v1/iacuc-committee-schedules/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"scheduleId",
"committeeIdFk",
"scheduledDate",
"place",
"time",
"protocolSubDeadline",
"scheduleStatusCode",
"meetingDate",
"startTime",
"endTime",
"agendaProdRevDate",
"maxProtocols",
"comments",
"availableToReviewers"
],
"primaryKey": "id"
}Get Blueprint API specification for Iacuc Committee SchedulesGET/iacuc/api/v1/iacuc-committee-schedules/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Iacuc Committee Schedules.md"
transfer-encoding: chunkedUpdate Iacuc Committee SchedulesPUT/iacuc/api/v1/iacuc-committee-schedules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Iacuc Committee SchedulesPUT/iacuc/api/v1/iacuc-committee-schedules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Iacuc Committee SchedulesPATCH/iacuc/api/v1/iacuc-committee-schedules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}Insert Iacuc Committee SchedulesPOST/iacuc/api/v1/iacuc-committee-schedules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Iacuc Committee SchedulesPOST/iacuc/api/v1/iacuc-committee-schedules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}
]Delete Iacuc Committee Schedules by KeyDELETE/iacuc/api/v1/iacuc-committee-schedules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Iacuc Committee SchedulesDELETE/iacuc/api/v1/iacuc-committee-schedules/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
[...]
